Bug 379521 - Please reflect the setting of "path" line in /etc/kdump.conf
Please reflect the setting of "path" line in /etc/kdump.conf
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kexec-tools (Show other bugs)
5.1
All Linux
medium Severity medium
: rc
: ---
Assigned To: Cong Wang
Chao Ye
:
Depends On:
Blocks: 626746
  Show dependency treegraph
 
Reported: 2007-11-13 03:37 EST by Masaki MAENO
Modified: 2013-09-29 22:08 EDT (History)
3 users (show)

See Also:
Fixed In Version: kexec-tools-1_102pre-105_el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 626746 (view as bug list)
Environment:
Last Closed: 2011-01-13 18:17:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
enable path option for kdump (794 bytes, patch)
2010-07-15 16:16 EDT, Sarina Canelake
no flags Details | Diff

  None (edit)
Description Masaki MAENO 2007-11-13 03:37:14 EST
Description of problem:

The setting of "path" line on /etc/kdump.conf is not reflected.
The dumpfile is always saved to "/var/crash". 

Please fix to reflect the setting of "path" line by correcting
the "/etc/init.d/kdump" script. 

Version-Release number of selected component (if applicable):
  kexec-tools: RHEL5.0 - RHEL5.1 (1.101-194.4.el5)

How reproducible:

  kernel crashdump

Steps to Reproduce:

  /etc/kdump.conf:
     ...
    path /tmp/
     ...

Actual results:
  It created vmcore into /var/crash/127.0.0.1-xxxxxx.

Expected results:
  It created vmcore into /tmp/ (arbitrary directory).
  Please fix the kdump script.
Comment 1 Masaki MAENO 2007-11-18 21:07:37 EST
If "ext3" line is "another partition (ex: /dev/cciss/c0d0p6)" and 
"path" line is "/crash1", I confirmed that I could get a dumpfile.

If "ext3" line is "rootfs partition (ex: /dev/cciss/c0d0p1)" and 
"path" line is "/crash2", I could get a dumpfile.

If "ext3" line is "not set" and 
"path" line is "/crash3", I could not get a dumpfile.
The system causes "kernel panic on 2nd kdump kernel" or "reboot without get a
dumpfile on 2nd kdump kernel". 
However, it is not possible to set it by "system-config-kdump" like it.
Therefore, its problem is not a major problem.

Please close this issue.
Comment 2 Sarina Canelake 2010-07-15 16:16:16 EDT
Created attachment 432214 [details]
enable path option for kdump

Hi,

I have also encountered the problem described in the original comment, but it is really easy to fix by inserting a few lines in kdump.init. I have attached my proposed patch. It tests and works on my system.

Test case:
/etc/kdump.conf:
  ...
  path /var/dump
  ...

echo c > /proc/sysrq-trigger

Actual results:
Full, readable core created in /var/dumps/2010-07-14-18\:14/vmcore
Comment 3 Cong Wang 2010-07-16 01:32:30 EDT
Sarina, your patch looks fine for me, I will take it. Thanks!
Comment 5 Chao Ye 2010-09-03 02:47:38 EDT
Verified with -107.el5:
============================================================
[root@hp-xw4550-01 ~]# rpm -q kexec-tools
kexec-tools-1.102pre-107.el5
[root@hp-xw4550-01 ~]# tail /etc/kdump.conf 
#core_collector makedumpfile -c --message-level 1
#core_collector cp --sparse=always 
#link_delay 60
#kdump_post /var/crash/scripts/kdump-post.sh
#extra_bins /usr/bin/lftp
#disk_timeout 30
#extra_modules gfs2
#options modulename options
#default shell
path /var/kdump
[root@hp-xw4550-01 ~]# ls /var/
account  cache  cvs  empty  gdm  local  log   nis  preserve  run    tmp
beah     crash  db   games  lib  lock   mail  opt  racoon    spool  yp
[root@hp-xw4550-01 ~]# service kdump restart
Stopping kdump:[  OK  ]
Detected change(s) the following file(s):
  
  /etc/kdump.conf
Rebuilding /boot/initrd-2.6.18-214.el5kdump.img
Starting kdump:[  OK  ]
[root@hp-xw4550-01 ~]# echo c > /proc/sysrq-trigger 
------------------------------------------------------------------------------------------------------------------------
[root@hp-xw4550-01 ~]# ls /var/kdump/2010-09-03-02\:23/vmcore 
/var/kdump/2010-09-03-02:23/vmcore

============================================================
Change status to VERIFIED.
Comment 7 errata-xmlrpc 2011-01-13 18:17:44 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0061.html

Note You need to log in before you can comment on or make changes to this bug.